Liferay.Loader.define("layout-content-page-editor-web@2.0.170/page_editor/app/actions/updateEditableValues", ['module', 'exports', 'require', './types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = updateEditableValues;

    var _types = require("./types");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function updateEditableValues(_ref) {
      var content = _ref.content,
          editableValues = _ref.editableValues,
          fragmentEntryLinkId = _ref.fragmentEntryLinkId,
          segmentsExperienceId = _ref.segmentsExperienceId;
      return {
        content: content,
        editableValues: editableValues,
        fragmentEntryLinkId: fragmentEntryLinkId,
        segmentsExperienceId: segmentsExperienceId,
        type: _types.UPDATE_EDITABLE_VALUES
      };
    }
    //# sourceMappingURL=updateEditableValues.js.map
  }
});
//# sourceMappingURL=updateEditableValues.js.map