Liferay.Loader.define("layout-content-page-editor-web@2.0.170/page_editor/plugins/experience/actions/createExperience", ['module', 'exports', 'require', '../actions'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = createExperience;

    var _actions = require("../actions");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function createExperience(_ref) {
      var fragmentEntryLinks = _ref.fragmentEntryLinks,
          layoutData = _ref.layoutData,
          portletIds = _ref.portletIds,
          segmentsExperience = _ref.segmentsExperience;
      return {
        payload: {
          fragmentEntryLinks: fragmentEntryLinks,
          layoutData: layoutData,
          portletIds: portletIds,
          segmentsExperience: segmentsExperience
        },
        type: _actions.CREATE_SEGMENTS_EXPERIENCE
      };
    }
    //# sourceMappingURL=createExperience.js.map
  }
});
//# sourceMappingURL=createExperience.js.map