Liferay.Loader.define("layout-content-page-editor-web@2.0.170/page_editor/plugins/experience/thunks/selectExperience", ['module', 'exports', 'require', '../../../app/services/ExperienceService', '../actions/selectExperience'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = selectExperience;

    var _ExperienceService = _interopRequireDefault(require("../../../app/services/ExperienceService"));

    var _selectExperience = _interopRequireDefault(require("../actions/selectExperience"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function selectExperience(_ref) {
      var id = _ref.id;
      return function (dispatch) {
        return _ExperienceService.default.selectExperience({
          body: {
            segmentsExperienceId: id
          },
          dispatch: dispatch
        }).then(function (portletIds) {
          return dispatch((0, _selectExperience.default)({
            portletIds: portletIds,
            segmentsExperienceId: id
          }));
        }).catch(function (error) {
          return error;
        });
      };
    }
    //# sourceMappingURL=selectExperience.js.map
  }
});
//# sourceMappingURL=selectExperience.js.map