Liferay.Loader.define("layout-content-page-editor-web@2.0.170/page_editor/app/components/fragment-configuration-fields/index", ['module', 'exports', 'require', './CheckboxField', './CollectionSelectorField', './ColorPaletteField', './ColorPickerField', './ImageSelectorField', './ItemSelectorField', './SelectField', './TextField'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.FRAGMENT_CONFIGURATION_FIELDS = void 0;

    var _CheckboxField = require("./CheckboxField");

    var _CollectionSelectorField = require("./CollectionSelectorField");

    var _ColorPaletteField = require("./ColorPaletteField");

    var _ColorPickerField = require("./ColorPickerField");

    var _ImageSelectorField = require("./ImageSelectorField");

    var _ItemSelectorField = require("./ItemSelectorField");

    var _SelectField = require("./SelectField");

    var _TextField = require("./TextField");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var FRAGMENT_CONFIGURATION_FIELDS = {
      checkbox: _CheckboxField.CheckboxField,
      collectionSelector: _CollectionSelectorField.CollectionSelectorField,
      colorPalette: _ColorPaletteField.ColorPaletteField,
      colorPicker: _ColorPickerField.ColorPickerField,
      imageSelector: _ImageSelectorField.ImageSelectorField,
      itemSelector: _ItemSelectorField.ItemSelectorField,
      select: _SelectField.SelectField,
      text: _TextField.TextField
    };
    exports.FRAGMENT_CONFIGURATION_FIELDS = FRAGMENT_CONFIGURATION_FIELDS;
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map