Liferay.Loader.define("layout-content-page-editor-web@2.0.170/page_editor/app/components/undo/undoSwitchViewportSize", ['module', 'exports', 'require', '../../actions/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.undoAction = undoAction;
    exports.getDerivedStateForUndo = getDerivedStateForUndo;

    var _index = require("../../actions/index");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function undoAction(_ref) {
      var action = _ref.action;
      return function (dispatch) {
        return dispatch((0, _index.switchViewportSize)({
          size: action.size
        }));
      };
    }

    function getDerivedStateForUndo(_ref2) {
      var action = _ref2.action,
          state = _ref2.state;
      return {
        nextSize: action.size,
        size: state.selectedViewportSize
      };
    }
    //# sourceMappingURL=undoSwitchViewportSize.js.map
  }
});
//# sourceMappingURL=undoSwitchViewportSize.js.map