Liferay.Loader.define("layout-content-page-editor-web@2.0.170/page_editor/app/components/undo/undoUpdateRowColumns", ['module', 'exports', 'require', '../../thunks/updateRowColumns'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.undoAction = undoAction;
    exports.getDerivedStateForUndo = getDerivedStateForUndo;

    var _updateRowColumns = _interopRequireDefault(require("../../thunks/updateRowColumns"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function undoAction(_ref) {
      var action = _ref.action;
      var itemId = action.itemId,
          numberOfColumns = action.numberOfColumns,
          segmentsExperienceId = action.segmentsExperienceId;
      return (0, _updateRowColumns.default)({
        itemId: itemId,
        numberOfColumns: numberOfColumns,
        segmentsExperienceId: segmentsExperienceId
      });
    }

    function getDerivedStateForUndo(_ref2) {
      var _layoutData$items$ite, _layoutData$items$ite2;

      var action = _ref2.action,
          state = _ref2.state;
      var itemId = action.itemId;
      var layoutData = state.layoutData;
      var config = (_layoutData$items$ite = (_layoutData$items$ite2 = layoutData.items[itemId]) === null || _layoutData$items$ite2 === void 0 ? void 0 : _layoutData$items$ite2.config) !== null && _layoutData$items$ite !== void 0 ? _layoutData$items$ite : {};
      return {
        itemId: itemId,
        numberOfColumns: config.numberOfColumns
      };
    }
    //# sourceMappingURL=undoUpdateRowColumns.js.map
  }
});
//# sourceMappingURL=undoUpdateRowColumns.js.map