Liferay.Loader.define('layout-content-page-editor-web@2.0.170/page_editor/app/processors/getLinkableEditableEditorWrapper', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.getLinkableEditableEditorWrapper = getLinkableEditableEditorWrapper;

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function getLinkableEditableEditorWrapper(element) {
      var anchor = element instanceof HTMLAnchorElement ? element : element.querySelector('a');

      if (anchor) {
        var innerWrapper = document.createElement('div');
        innerWrapper.innerHTML = anchor.innerHTML;
        anchor.innerHTML = '';
        anchor.appendChild(innerWrapper);
        return innerWrapper;
      } else {
        var wrapper = document.createElement('div');
        wrapper.innerHTML = element.innerHTML;
        element.innerHTML = '';
        element.appendChild(wrapper);
        return wrapper;
      }
    }
    //# sourceMappingURL=getLinkableEditableEditorWrapper.js.map
  }
});
//# sourceMappingURL=getLinkableEditableEditorWrapper.js.map