Liferay.Loader.define("layout-content-page-editor-web@2.0.170/page_editor/app/processors/index", ['module', 'exports', 'require', './BackgroundImageProcessor', './FallbackProcessor', './HTMLProcessor', './ImageProcessor', './LinkProcessor', './RichTextProcessor', './TextProcessor'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _BackgroundImageProcessor = _interopRequireDefault(require("./BackgroundImageProcessor"));

    var _FallbackProcessor = _interopRequireDefault(require("./FallbackProcessor"));

    var _HTMLProcessor = _interopRequireDefault(require("./HTMLProcessor"));

    var _ImageProcessor = _interopRequireDefault(require("./ImageProcessor"));

    var _LinkProcessor = _interopRequireDefault(require("./LinkProcessor"));

    var _RichTextProcessor = _interopRequireDefault(require("./RichTextProcessor"));

    var _TextProcessor = _interopRequireDefault(require("./TextProcessor"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var _default = {
      'background-image': _BackgroundImageProcessor.default,
      fallback: _FallbackProcessor.default,
      html: _HTMLProcessor.default,
      image: _ImageProcessor.default,
      link: _LinkProcessor.default,
      'rich-text': _RichTextProcessor.default,
      text: _TextProcessor.default
    };
    exports.default = _default;
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map