Liferay.Loader.define("layout-content-page-editor-web@2.0.170/page_editor/app/thunks/duplicateItem", ['module', 'exports', 'require', '../actions/duplicateItem', '../services/FragmentService'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = duplicateItem;

    var _duplicateItem = _interopRequireDefault(require("../actions/duplicateItem"));

    var _FragmentService = _interopRequireDefault(require("../services/FragmentService"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function duplicateItem(_ref) {
      var itemId = _ref.itemId,
          segmentsExperienceId = _ref.segmentsExperienceId,
          _ref$selectItem = _ref.selectItem,
          selectItem = _ref$selectItem === void 0 ? function () {} : _ref$selectItem;
      return function (dispatch) {
        _FragmentService.default.duplicateItem({
          itemId: itemId,
          onNetworkStatus: dispatch,
          segmentsExperienceId: segmentsExperienceId
        }).then(function (_ref2) {
          var duplicatedFragmentEntryLinks = _ref2.duplicatedFragmentEntryLinks,
              duplicatedItemId = _ref2.duplicatedItemId,
              layoutData = _ref2.layoutData;
          dispatch((0, _duplicateItem.default)({
            addedFragmentEntryLinks: duplicatedFragmentEntryLinks,
            itemId: duplicatedItemId,
            layoutData: layoutData
          }));

          if (duplicatedItemId) {
            selectItem(duplicatedItemId);
          }
        });
      };
    }
    //# sourceMappingURL=duplicateItem.js.map
  }
});
//# sourceMappingURL=duplicateItem.js.map