Liferay.Loader.define("layout-content-page-editor-web@2.0.170/page_editor/plugins/experience/reducers/deleteExperience", ['module', 'exports', 'require', './utils'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _utils = require("./utils");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function deleteExperienceReducer(state, payload) {
      var nextState = state;
      var segmentsExperienceId = payload.segmentsExperienceId;
      nextState = (0, _utils.removeLayoutDataItemById)(nextState, segmentsExperienceId);
      nextState = (0, _utils.deleteExperienceById)(nextState, segmentsExperienceId);
      return nextState;
    }

    var _default = deleteExperienceReducer;
    exports.default = _default;
    //# sourceMappingURL=deleteExperience.js.map
  }
});
//# sourceMappingURL=deleteExperience.js.map